Subject: Re: [PATCH RFC net-next v2 0/5] net: dsa: always use phylink

From: Kurt Kanzenbach <[email-masked]>
Date: Wed, 06 Jul 2022 19:22:41 +0200

Hi Russell,

On Tue Jul 05 2022, Russell King wrote:
> A new revision of the series which incorporates changes that Marek
> suggested. Specifically, the changes are:
>
> 1. Patch 2 - use the phylink_get_caps method in mv88e6xxx to get the
>    default interface rather than re-using port_max_speed_mode()
>
> 2. Patch 4 - if no default interface is provided, use the supported
>    interface mask to search for the first interface that gives the
>    fastest speed.
>
> 3. Patch 5 - now also removes the port_max_speed_mode() method

Tested with hellcreek driver and no problems observed.

Thanks,
Kurt